me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins

## Class Turret

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Turret

    public class Turret
    extends Colorable

### Constructor Summary

Constructors
Constructor and Description
`Turret()`
`Turret(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.Color color, org.bukkit.inventory.ItemStack skin, java.lang.Float explosionSize, org.bukkit.inventory.ItemStack ammo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Location` `applyExtraOffset(org.bukkit.Location loc)`
`org.bukkit.inventory.ItemStack` `getAmmo()`
`java.lang.Integer` `getCooldown()`
`java.lang.Float` `getExplosionSize()`
`java.lang.Integer` `getRotationOffset()`
`void` `setAmmo(org.bukkit.inventory.ItemStack ammo)`
`void` `setCooldown(java.lang.Integer cooldown)`
`void` `setExplosionSize(java.lang.Float explosionSize)`
`void` `setRotationOffset(java.lang.Integer rotationOffset)`
`java.util.concurrent.CompletableFuture<java.lang.Boolean>` `shoot()`
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getColor, getSkin, getSkinColored, setColor, setSkin`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Turret

    public Turret(java.lang.Double xOffset,
                  java.lang.Double yOffset,
                  java.lang.Double zOffset,
                  org.bukkit.Color color,
                  org.bukkit.inventory.ItemStack skin,
                  java.lang.Float explosionSize,
                  org.bukkit.inventory.ItemStack ammo)

#### Turret

    public Turret()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Part`

#### applyExtraOffset

    public org.bukkit.Location applyExtraOffset(org.bukkit.Location loc)

Overrides:
  `applyExtraOffset` in class `Part`

#### shoot

    public java.util.concurrent.CompletableFuture<java.lang.Boolean> shoot()

#### getRotationOffset

    public java.lang.Integer getRotationOffset()

#### getExplosionSize

    public java.lang.Float getExplosionSize()

#### getAmmo

    public org.bukkit.inventory.ItemStack getAmmo()

#### getCooldown

    public java.lang.Integer getCooldown()

#### setRotationOffset

    public void setRotationOffset(java.lang.Integer rotationOffset)

#### setExplosionSize

    public void setExplosionSize(java.lang.Float explosionSize)

#### setAmmo

    public void setAmmo(org.bukkit.inventory.ItemStack ammo)

#### setCooldown

    public void setCooldown(java.lang.Integer cooldown)